PUT https://api.d-tools.com/SI/Subscribe/Projects/MarkAsImported?id={id}&coNumber={coNumber}&publishedOnUnixTimeMs={publishedOnUnixTimeMs}
Mark a project or change order as imported for a given project id.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
The project id. |
string |
Required |
| coNumber |
coNumber is an optional parameter and is the Change Order Number. For approved projects you can pass the change order number. |
string |
None. |
| publishedOnUnixTimeMs |
publishedOnUnixTimeMs is an optional parameter and is the date the project was published in Unix epoch milliseconds. This property can be read from the project property PublishedOnUnixTimeMs and if passed will make sure no one has updated this project since you last read it. |
integer |
None. |
Body Parameters
None.
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |